
package com.lideeyunji.tool.framework.sql.core.enums;


import com.lideeyunji.tool.framework.sql.core.conditions.ISqlSegment;

/**
 * @author JX
 * @create 2024-03-26 10:08
 * @dedescription:
 */
public enum WrapperKeyword implements ISqlSegment {
    /**
     * 只用作于辨识,不用于其他
     */
    APPLY(null);

    private final String keyword;

    @Override
    public String getSqlSegment() {
        return keyword;
    }

    public String getKeyword() {
        return keyword;
    }

    WrapperKeyword(String keyword) {
        this.keyword = keyword;
    }
}
